Bug 461600 - Wrong exit code when freshening non-existing archive
Wrong exit code when freshening non-existing archive
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: zip (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Klíč
:
Depends On:
Blocks: 602718
  Show dependency treegraph
 
Reported: 2008-09-09 07:52 EDT by Josef Zila
Modified: 2010-06-10 10:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 602718 (view as bug list)
Environment:
Last Closed: 2010-04-13 11:01:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Zila 2008-09-09 07:52:48 EDT
Description of problem:
According to http://www.info-zip.org/FAQ.html#error-codes, zip should return exit code 13 when attempting to freshen archive that does not exist, it produces correct error message, but returns exit code 12 instead

How reproducible:
zip -f archive
  
Actual results:
# zip -f archive
	zip warning: archive.zip not found or empty
# echo $?
12


Expected results:
# zip -f archive
	zip warning: archive.zip not found or empty
# echo $?
13
Comment 1 Radek Vokal 2010-04-13 11:01:09 EDT
This has zero impact on customer, or it even might have negative impact on those relying on wrong return code (ok, I hope there are no customers like that). I'm closing this bug in RHEL5. Karel, please make sure this issue is addressed in RHEL6 and further.

Note You need to log in before you can comment on or make changes to this bug.